# class Crystal::Macros::ProcPointer

- Crystal::Macros::ProcPointer
- Crystal::Macros::ASTNode

##
Overview

A proc pointer, like `->my_var.some_method(String)`

##
Defined in:

compiler/crystal/macros.cr

##
Instance Method Summary

- #args : ArrayLiteral(ASTNode)

  Returns the types of the arguments of the proc.

- #global? : BoolLiteral

  Returns true if this proc pointer refers to a global method (starts with `::` and does not have a receiver).

- #name : MacroId

  Returns the name of the method this proc points to.

- #obj : ASTNode | NilLiteral

  Returns the receiver of the proc, or nil if the proc is not attached to an object.

### Instance methods inherited from class `Crystal::Macros::ASTNode`

!=(other : ASTNode) : BoolLiteral !=, ==(other : ASTNode) : BoolLiteral ==, class_name : StringLiteral class_name, column_number : StringLiteral | NilLiteral column_number, doc : StringLiteral doc, doc_comment : MacroId doc_comment, end_column_number : StringLiteral | NilLiteral end_column_number, end_line_number : StringLiteral | NilLiteral end_line_number, filename : StringLiteral | NilLiteral filename, id : MacroId id, is_a?(type : TypeNode) : BoolLiteral is_a?, line_number : StringLiteral | NilLiteral line_number, nil? : BoolLiteral nil?, raise(message) : NoReturn raise, stringify : StringLiteral stringify, symbolize : SymbolLiteral symbolize, warning(message : StringLiteral) : NilLiteral warning

##
Instance Method Detail

def args : ArrayLiteral(ASTNode) #

Returns the types of the arguments of the proc.

def global? : BoolLiteral #

Returns true if this proc pointer refers to a global method (starts with `::` and does not have a receiver).

def name : MacroId #

Returns the name of the method this proc points to.

def obj : ASTNode | NilLiteral #

Returns the receiver of the proc, or nil if the proc is not attached to an object.